Bug 251199 - net-mgmt/unifi6 - uses deprecated mongodb36
Summary: net-mgmt/unifi6 - uses deprecated mongodb36
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-17 00:24 UTC by Dan Langille
Modified: 2020-11-29 23:04 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (juraj)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Langille freebsd_committer 2020-11-17 00:24:34 UTC
Are there any plans to adjust this the deprecated dependency of mongodb36 which expires on 2020-12-31?
Comment 1 Kurt Jaeger freebsd_committer 2020-11-18 19:50:03 UTC
Do you have official word from UBNT or inofficial tests that newer versions of mongodb work with unifi6 ? That would help to change this.
Comment 2 Juraj Lutter 2020-11-18 19:57:26 UTC
1. I have a working instance of unifi6 with mongodb4 at home
2. The only "official" word is here: https://community.ui.com/questions/Mongo-3-4-End-of-Life-UniFi-Controller/45c6f996-9d51-4077-869f-215b0c521eb2?page=2
Comment 3 Kurt Jaeger freebsd_committer 2020-11-18 20:02:59 UTC
(In reply to Juraj Lutter from comment #2)
Which version of mongodb4 ? 40 ? 42 ? 44 ?
Comment 4 Juraj Lutter 2020-11-18 20:36:14 UTC
My memory did not served me right. To add to 1, I've been playing with mongodb 4.x (4.2 or 4.4) with unifi6 at home, then I abandoned it for some reason (there were some problems that I could not work around at that time, lack of time prevented me from further investigation back then. I will surely return to it in near future).
Comment 5 Juraj Lutter 2020-11-23 16:48:41 UTC
So, my lab setup now runs with mongodb44. I will submit a maintainer update to the port soon (as also unifi6 controller software is on newer version).

The steps needed are:
- Take a backup BEFORE upgrading
- Stop unifi
- Upgrade the package
- Delete content of ${LOCALBASE}/share/java/unifi/data/db to start a new DB
- Start unifi
- Restore from backup.
Comment 6 Juraj Lutter 2020-11-23 20:14:58 UTC
While I'd like to push mongodb44 as a dependency, it would make the direct upgrade very difficult (3.6 to 4.4 is only possible via 4.0 and 4.2). For new installs, using mongodb44 seems OK.
Comment 7 Dan Langille freebsd_committer 2020-11-23 20:49:47 UTC
(In reply to Juraj Lutter from comment #6)
Sounds like a job for flavors.
Comment 8 Dan Langille freebsd_committer 2020-11-23 20:50:47 UTC
(In reply to Dan Langille from comment #7)
It would be a minimum of four flavors and three updates to get from 3.6 to 4.4

Still, better than staying on 4.6
Comment 9 Ronald Klop 2020-11-25 12:51:36 UTC
(In reply to Dan Langille from comment #0)
Hi,

Mongodb36 is not expiring on 2020-12-31.
See https://www.freshports.org/databases/mongodb36/
The port is fixed to build with python3 in bug #249597.

And I can point to this mail for test info on newer mongodb versions: https://lists.freebsd.org/pipermail/freebsd-ports/2020-July/119045.html
It is about unifi5 instead of unifi6. Might be nice to test for unifi6.

BTW: https://www.mongodb.com/support-policy says that Mongo itself is ending support around April 2021. I'm curious what UBNT will do with that.

Regards,
Ronald.
Comment 10 Dan Langille freebsd_committer 2020-11-25 14:28:45 UTC
(In reply to Ronald Klop from comment #9)

Thank you. I see my information is outdated. I apologize for not databases/mongodb36 itself where I would have seen the recent updates.

I have update my unifi controller tp unifi5-5.14.23 and it's running fine with mongodb36-3.6.21
Comment 11 Juraj Lutter 2020-11-29 21:05:02 UTC
unifi6 runs with mongodb 3.6 already. I suggest to close this ticket for now.
Comment 12 Dan Langille freebsd_committer 2020-11-29 22:38:23 UTC
(In reply to Juraj Lutter from comment #11

Yes, thank you. Did you see my apology above?
Comment 13 Juraj Lutter 2020-11-29 22:42:49 UTC
Oh yes, sure! :-) That's why I asked to close this ticket, to not linger around meanlessly :-)
Comment 14 Dan Langille freebsd_committer 2020-11-29 23:04:14 UTC
(In reply to Juraj Lutter from comment #13)

I think the issue had been around for so long that I finally opened the ticket without seeing it had already been fixed.